package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.Testadv01Repository;
import com.realnet.angulardatatype.Entity.Testadv01
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
















	import org.springframework.stereotype.Service;

@Service
 public class Testadv01Service {
@Autowired
private Testadv01Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;















public Testadv01 Savedata(Testadv01 data) {
















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testadv01 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testadv01> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Testadv01> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testadv01> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testadv01 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testadv01 update(Testadv01 data,Integer id) {
	Testadv01 old = Repository.findById(id).get();
old.setName(data.getName());

 

old.setCurrency(data.getCurrency());

old.setQrcode_field(data.getQrcode_field());

old.setBarcode_field(data.getBarcode_field());

old.setNumber_field_a(data.getNumber_field_a());

old.setNumber_field_b(data.getNumber_field_b());

old.setCalculated_field_field_sub(data.getCalculated_field_field_sub());

final Testadv01 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
